#include <iostream>
#include <string>
using namespace std;
int main(int argc, char** argv) {
	string a, b, c, rezultat = "";
	cin >> a >> b >> c;
	if(a > b && a > c)
	{
		if(b > c) rezultat = a + b + c;
		else rezultat = a + c + b;
	}
	else if(b > a && b > c)
	{
		if(a > c) rezultat = b + a + c;
		else rezultat = b + c + a;
	}
	else if(c > a && c > b)
	{
		if(a > b) rezultat = c + a + b;
		else rezultat = c + b + a;
	}
	else
	{
		if(a < b && a < c)
		{
			rezultat = b + c + a;
		}
		else if(b < a && b < c)
		{
			rezultat = a + c + b;
		}
		else if(c < a && c < b)
		{
			rezultat = a + b + c;
		}
		else
		{
			rezultat = a + b + c;
		}
	}
	cout << rezultat;
	return 0;
}